server:
  port: 9331
  shutdown: immediate

spring:
  mvc:
    async:
      request-timeout: 3600000
  application:
    name: loyalty-mcp-server
  ai:
    mcp:
      server:
        sse-endpoint: /sse
        sse-message-endpoint: /message
        keep-alive-interval: 30s
  security:
    oauth2:
      client:
        registration:
          keycloak:
            client-id: ols-cli
            client-secret: ${KEYCLOAK_CLIENT_SECRET:1jV8NSAeybIqmUK0AWhI8hgdo1q5itj7}
            authorization-grant-type: client_credentials
        provider:
          keycloak:
            token-uri: ${KEYCLOAK_TOKEN_URI:http://192.168.99.235/auth/realms/ols-cn-sit/protocol/openid-connect/token}

loyalty:
  core:
    base-url: ${LOYALTY_CORE_BASE_URL:http://192.168.99.242:8081}

logging:
  pattern:
    console: "%d{HH:mm:ss.SSS} %5p --- %-40.40logger{39} : %m%n"
  level:
    root: warn
    org.springframework.ai: INFO
    org.springframework.context.support.PostProcessorRegistrationDelegate: ERROR
    org.springframework.security.oauth2.client.registration.ClientRegistration: ERROR
    dev.sonpx.loyalty: DEBUG
